HanMacWrdJGraphInternal::ShapeGraph Struct Referencefinal

Internal: the geometrical graph of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::ShapeGraph:

## Public Member Functions
| ShapeGraph (Frame const &orig)
| constructor
| ~ShapeGraph () final
| destructor
bool | valid () const final
| returns true if the frame data are read
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes
MWAWGraphicShape | m_shape
| the shape m_shape
int | m_arrowsFlag
| the lines arrow flag
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeGraph const &graph)
| operator<<

## Detailed Description

Internal: the geometrical graph of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ ShapeGraph()

HanMacWrdJGraphInternal::ShapeGraph::ShapeGraph | ( | Frame const & | orig | ) |
| inline explicit

constructor

Referenced by operator<<.

## ◆ ~ShapeGraph()

HanMacWrdJGraphInternal::ShapeGraph::~ShapeGraph | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdJGraphInternal::ShapeGraph::print | ( |  | ) | const
| inline

print local data

Referenced by operator<<.

## ◆ valid()

bool HanMacWrdJGraphInternal::ShapeGraph::valid | ( |  | ) | const
| inline final virtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

Referenced by valid().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ShapeGraph const & | graph )
| friend

operator<<

## Member Data Documentation

## ◆ m_arrowsFlag

int HanMacWrdJGraphInternal::ShapeGraph::m_arrowsFlag

the lines arrow flag

Referenced by print(), HanMacWrdJGraph::sendShapeGraph(), and ShapeGraph().

## ◆ m_shape

MWAWGraphicShape HanMacWrdJGraphInternal::ShapeGraph::m_shape

the shape m_shape

Referenced by print(), HanMacWrdJGraph::sendShapeGraph(), and ShapeGraph().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx